org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class CoupledStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.CoupledStageVerification

    public class CoupledStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `CoupledStageVerification.ProcessorVerification`
`class` `CoupledStageVerification.PublisherVerification`
`class` `CoupledStageVerification.SubscriberVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `coupledStageShouldBeResuable()`
`void` `coupledStageShouldCancelAndCompleteDownstreamWhenSubscriberCancels()`
`void` `coupledStageShouldCancelAndCompleteDownstreamWhenUpstreamCompletes()`
`void` `coupledStageShouldCancelAndCompleteUpstreamWhenDownstreamCancels()`
`void` `coupledStageShouldCancelAndCompleteUpstreamWhenPublisherCompletes()`
`void` `coupledStageShouldCancelAndCompleteUpstreamWhenPublisherFails()`
`void` `coupledStageShouldCancelAndFailDownstreamWhenUpstreamFails()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### coupledStageShouldCancelAndCompleteUpstreamWhenDownstreamCancels

    public void coupledStageShouldCancelAndCompleteUpstreamWhenDownstreamCancels()

#### coupledStageShouldCancelAndCompleteUpstreamWhenPublisherCompletes

    public void coupledStageShouldCancelAndCompleteUpstreamWhenPublisherCompletes()

#### coupledStageShouldCancelAndCompleteUpstreamWhenPublisherFails

    public void coupledStageShouldCancelAndCompleteUpstreamWhenPublisherFails()

#### coupledStageShouldCancelAndCompleteDownstreamWhenUpstreamCompletes

    public void coupledStageShouldCancelAndCompleteDownstreamWhenUpstreamCompletes()

#### coupledStageShouldCancelAndFailDownstreamWhenUpstreamFails

    public void coupledStageShouldCancelAndFailDownstreamWhenUpstreamFails()

#### coupledStageShouldCancelAndCompleteDownstreamWhenSubscriberCancels

    public void coupledStageShouldCancelAndCompleteDownstreamWhenSubscriberCancels()

#### coupledStageShouldBeResuable

    public void coupledStageShouldBeResuable()